Skip to main content

Monthly Performance

monthly-performance

Chart: Monthly Performance

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0year_monthstringYear-month (YYYY-MM)
1open_pricestringOpen price
2close_pricestringClose price
3high_pricestringHigh price
4low_pricestringLow price
5percentage_differencestringPercentage difference (decimal)
6colorstringColor ('#0f0' positive / '#f00' negative / '#fff' zero)

Example Request

https://charts.bitbo.io/api/v1/monthly-performance/?start_date=2025-03-01&end_date=2025-05-31

Example Request with Latest

https://charts.bitbo.io/api/v1/monthly-performance/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/monthly-performance/?start_date=2025-03-01&end_date=2025-05-31&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-03",
"84388.531",
"82568.787",
"94769.809",
"76894.995",
"-0.0216",
"#f00"
],
[
"2025-04",
"82570.063",
"94204.057",
"95666.032",
"74698.789",
"0.1409",
"#0f0"
],
[
"2025-05",
"94202.421",
"104642.096",
"111944.688",
"93648.513",
"0.1108",
"#0f0"
]
]
}